﻿using System.Configuration;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;

namespace MsSql
{
    class Program
    {
        static void Main(string[] args)
        {
            var connectionString = ConfigurationManager.ConnectionStrings["MsSqlConn"].ConnectionString;
            MsSqlFeatureLayer msSqlFeatureLayer = new MsSqlFeatureLayer(connectionString, "Countries02", "RECID");

            msSqlFeatureLayer.Open();
            var feature = msSqlFeatureLayer.FeatureSource.GetAllFeatures(ReturningColumnsType.AllColumns)[0];
            msSqlFeatureLayer.EditTools.BeginTransaction();
            feature.ColumnValues["SQMI"] = null;
            msSqlFeatureLayer.EditTools.Update(feature);
            msSqlFeatureLayer.EditTools.CommitTransaction();
        }
    }
}
